﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CascadeDelete
{
	public class TestContext : DbContext
	{
		public TestContext():base("DefaultConnection") {}

		public DbSet<Parent> Parents { get; set; }
		public DbSet<Child> Childen { get; set; }

	}

	public class Parent {
		[Key]
		public int ID { get; set; }

		[StringLength(255)]
		public string Dummy { get; set; }
	}

	public class Child
	{
		[Key]
		public int ID { get; set; }

		[Required]
		public Parent Parent { get; set; }
	}
}
